Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class CharShiftFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.TextFormats
          info.bioinfweb.treegraph.document.format.TextLabelFormats
              info.bioinfweb.treegraph.document.format.CharShiftFormats

All Implemented Interfaces:
  ElementFormats, java.lang.Cloneable

    public class CharShiftFormats

extends TextLabelFormats
implements ElementFormats

This class contains formats for an CharacterShiftLabel. The color fields inherited from `ColorFormats` is used to define the color of the arrow between the two character states. The color of the colon is the same as defined for the character name.

Author:
  BenStoever

Field Summary
`private float` | `ARROW_ASPECT_RATIO`
`private DistanceDimension` | `arrowDimensions`
`private TextFormats` | `stateAfterFormats`
`private TextFormats` | `stateBeforeFormats`

Fields inherited from class info.bioinfweb.treegraph.document.format.TextLabelFormats
`DEFAULT_TEXT_HEIGHT_IN_MM`

Fields inherited from class info.bioinfweb.treegraph.document.format.TextFormats
`BOLD, DEFAULT_DECIMAL_FORMAT_EXPR, ITALIC, PLAIN, UNDERLINE`

Constructor Summary
`CharShiftFormats(Label owner)`

Method Summary
`DistanceDimension` | `getArrowDimensions()`
`TextFormats` | `getStateAfterFormats()`
`TextFormats` | `getStateBeforeFormats()`

Methods inherited from class info.bioinfweb.treegraph.document.format.TextLabelFormats
`clone, getPositionFormats, setPositionFormats`

Methods inherited from class info.bioinfweb.treegraph.document.format.TextFormats
`addTextStyle, assignTextFormats, getDecimalFormat, getDescent, getFont, getFontName, getLocale, getTextColor, getTextHeight, getTextStyle, hasTextStyle, removeTextStyle, setDecimalFormat, setFontName, setLocale, setTextColor, setTextStyle`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.format.ElementFormats
`clone`

Field Detail

### ARROW_ASPECT_RATIO

    private float ARROW_ASPECT_RATIO

### stateBeforeFormats

    private TextFormats stateBeforeFormats

### stateAfterFormats

    private TextFormats stateAfterFormats

### arrowDimensions

    private DistanceDimension arrowDimensions

Constructor Detail

### CharShiftFormats

    public CharShiftFormats(Label owner)

Method Detail

### getStateAfterFormats

    public TextFormats getStateAfterFormats()

### getStateBeforeFormats

    public TextFormats getStateBeforeFormats()

### getArrowDimensions

    public DistanceDimension getArrowDimensions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD